Update usbutils in Trusty for Wily LTS kernel

Bug #1513605 reported by Tim Gardner on 2015-11-05
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
usbutils (Ubuntu)
Medium
Unassigned
Trusty
Medium
Tim Gardner

Bug Description

[Impact]
Update the USB database so that devices supported by the Wily LTS kernel have a symbolic representation.

[Test Case]
Ensure new hardware works on trusty w/ wily-lts kernel

Tim Gardner (timg-tpi) on 2015-11-05
Changed in ubuntu:
status: New → Fix Released
Chris J Arges (arges) on 2015-11-11
affects: ubuntu → usbutils (Ubuntu)

Hello Tim, or anyone else affected,

Accepted usbutils into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/usbutils/1:007-2ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

description: updated
Changed in usbutils (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in usbutils (Ubuntu):
importance: Undecided → Medium
Changed in usbutils (Ubuntu Trusty):
importance: Undecided → Medium

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of usbutils from trusty-proposed was performed and bug 1521956 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and add the tag "bot-stop-nagging" to bug 1521956 (not this bug). Thanks!

tags: added: verification-failed
tags: removed: verification-failed
Bartosz Kosiorek (gang65) wrote :

After install from trusty Proposed my Deskjet 2050 J510 device is deteced properly.
Verification done

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usbutils - 1:007-2ubuntu1.1

---------------
usbutils (1:007-2ubuntu1.1) trusty; urgency=medium

  * Update usb.ids to 2015-09-28
    Support symbolic USB IDs known by the Wily LTS kernel.
    debian/patches/2015-09-28.patch
    -LP: #1513605

 -- Tim Gardner <email address hidden> Thu, 05 Nov 2015 13:25:57 -0700

Changed in usbutils (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for usbutils has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers